[rspec-users] rspec on rails update question

Jonathan Linowes jonathan at parkerhill.com
Fri May 25 11:21:06 EDT 2007

I'm sure this is OT but I'd appreciate the help

I'm using rspec_on_rails

I prefer to use stable release rather than live dangerously (at least  
until I can tell the difference between what I might be doing wrong  
vs problems in rspec). However, I would like to try the  
RspecScaffoldGenerator fix.

I installed (per the docs) last week with the following commands

   $ ruby script/plugin install -x svn://rubyforge.org/var/svn/rspec/ 
   $ ruby script/plugin install -x svn://rubyforge.org/var/svn/rspec/ 
   $ script/generate rspec

Should I have said REL_1_0_2 instead? Will svn up find the latest tags?

When I run
   $ svn up vendor/plugins/rspec
At revision 2032.
   $ svn up vendor/plugins/rspec_on_rails
At revision 2032.

How can i tell which version is actually installed on my system now?  
perhaps I don't know svn well enough to identify the tags

I would like 1.0.3, its listed under http://rspec.rubyforge.org/ 
changes.html but tags/REL_1_0_3 doesn't seem to exist yet, right? It  

   $ ruby script/plugin install -x --force svn://rubyforge.org/var/ 
svn: URL 'svn://rubyforge.org/var/svn/rspec/tags/REL_1_0_3/rspec'  
doesn't exist

Is that the way to upgrade?


More information about the rspec-users mailing list